function finalFeatVector = selectFeatures(texturalFeatures_1, texturalFeatures_2, graphFeatures, ...
                            intensityStr, coocStr, LBPStr, gaborStr, graphStr)

featNo = 67;
cellNo = size(texturalFeatures_1, 1);
featVector = zeros(cellNo, featNo) + NaN;
for i = 1 : cellNo
    %featVector(i, ?)  = texturalFeatures(i).MinIntensity; -- ignore for now
    %featVector(i, ?)  = texturalFeatures(i).MaxIntensity; -- ignore for now
    %featVector(i, ?)  = graphFeatures(i).Eccentricity; -- ignore for now

    if strcmp(intensityStr, 'get-intensity')
        featVector(i, 1)  = texturalFeatures_1(i).AvgIntensity;
        featVector(i, 2)  = texturalFeatures_1(i).StdIntensity;
        %featVector(i, 3)  = texturalFeatures_1(i).SkewnessIntensity;
        %featVector(i, 4)  = texturalFeatures_1(i).KurtosisIntensity;
        featVector(i, 5)  = texturalFeatures_1(i).Entropy;

        featVector(i, 32)  = texturalFeatures_2(i).AvgIntensity;
        featVector(i, 33)  = texturalFeatures_2(i).StdIntensity;
        %featVector(i, 34)  = texturalFeatures_2(i).SkewnessIntensity;
        %featVector(i, 35)  = texturalFeatures_2(i).KurtosisIntensity;
        featVector(i, 36)  = texturalFeatures_2(i).Entropy;
    elseif strcmp(intensityStr, 'no') == 0
        fprintf('Error in the intensity option\n');
    end

    if strcmp(coocStr, 'get-cooc')
        featVector(i, 6)  = texturalFeatures_1(i).CoocMaximumProbability;
        featVector(i, 7)  = texturalFeatures_1(i).CoocEntropy;
        featVector(i, 8)  = texturalFeatures_1(i).CoocAngularSecondMoment;
        featVector(i, 9)  = texturalFeatures_1(i).CoocInverseDifferenceMoment;
        featVector(i, 10) = texturalFeatures_1(i).CoocContrast;
        featVector(i, 11) = texturalFeatures_1(i).CoocCorrelation;

        featVector(i, 37)  = texturalFeatures_2(i).CoocMaximumProbability;
        featVector(i, 38)  = texturalFeatures_2(i).CoocEntropy;
        featVector(i, 39)  = texturalFeatures_2(i).CoocAngularSecondMoment;
        featVector(i, 40)  = texturalFeatures_2(i).CoocInverseDifferenceMoment;
        featVector(i, 41) = texturalFeatures_2(i).CoocContrast;
        featVector(i, 42) = texturalFeatures_2(i).CoocCorrelation;
    elseif strcmp(coocStr, 'no') == 0
        fprintf('Error in the cooccurrence option\n');
    end

    if strcmp(LBPStr, 'get-lbp')
        featVector(i, 12) = texturalFeatures_1(i).LBPAvg;
        featVector(i, 13) = texturalFeatures_1(i).LBPStd;
        %featVector(i, 14) = texturalFeatures_1(i).LBPMode;
        featVector(i, 15) = texturalFeatures_1(i).LBPEntropy;

        featVector(i, 43) = texturalFeatures_2(i).LBPAvg;
        featVector(i, 44) = texturalFeatures_2(i).LBPStd;
        %featVector(i, 45) = texturalFeatures_2(i).LBPMode;
        featVector(i, 46) = texturalFeatures_2(i).LBPEntropy;
    elseif strcmp(LBPStr, 'no') == 0
        fprintf('Error in the LBP option\n');
    end

    if strcmp(gaborStr, 'get-gabor')
        featVector(i, 16:19) = texturalFeatures_1(i).GaborAvg;
        featVector(i, 20:23) = texturalFeatures_1(i).GaborStd;

        %featVector(i, 24:27) = texturalFeatures_1(i).GaborMin2Max;
        %featVector(i, 28:31) = texturalFeatures_1(i).GaborMode;

        featVector(i, 47:50) = texturalFeatures_2(i).GaborAvg;
        featVector(i, 51:54) = texturalFeatures_2(i).GaborStd;

        %featVector(i, 55:58) = texturalFeatures_2(i).GaborMin2Max;
        %featVector(i, 59:62) = texturalFeatures_2(i).GaborMode;

        featVector(i, [16:18 20:22]) = NaN;
        featVector(i, [47:49 51:53]) = NaN;
    elseif strcmp(gaborStr, 'no') == 0
        fprintf('Error in the Gabor option\n');
    end

    if strcmp(graphStr, 'get-graph')
        %featVector(i, 63) = graphFeatures(i).Degree;
        %featVector(i, 64) = graphFeatures(i).ClusteringCoefficient;
        featVector(i, 65) = graphFeatures(i).AvgEdgeLength;
        featVector(i, 66) = graphFeatures(i).StdEdgeLength;
        featVector(i, 67) = graphFeatures(i).Min2MaxEdgeLength;
    elseif strcmp(graphStr, 'no') == 0
        fprintf('Error in the graph option\n');
    end
    
end

finalFeatVector = zeros(cellNo, sum(~isnan(featVector(1, :))));
for i = 1 : cellNo
    cnt = 1;
    for j = 1 : featNo
        if ~isnan(featVector(i, j))
            finalFeatVector(i, cnt) = featVector(i, j);
            cnt = cnt + 1;
        end
    end
end

end
%----------------------------------------------------------------------%
%----------------------------------------------------------------------%
%----------------------------------------------------------------------%
